---
stages:
  - build

build:
  stage: build
  image: golang:1.17.6-alpine3.15
  script:
    - apk update
    - apk add build-base
    - wget -O- -nv https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s v1.43.0
    - PATH=./bin/:$PATH
    - go install github.com/jstemmer/go-junit-report@v0.9.1
    - make all cover report.xml
  artifacts:
    when: always
    reports:
      junit: report.xml
        
semgrep:
  stage: build
  image: python:3.10.4-alpine3.15
  script:
    - apk update
    - apk add build-base
    - pip install semgrep==0.86.5
    - make semgrep
